/* Zodiac - Log.cpp
 */

#include "Common.h"
#include <stdio.h>
#include <stdarg.h>

static FILE* log_file = NULL;
static char log_buffer[256];

bool log_Open(const char *file)
{
	log_Close();
	log_file = fopen(file, "wt");
	return (log_file != NULL);
}

void log_Close()
{
	if (log_file != NULL)
	{
		fclose(log_file);
		log_file = NULL;
	}
}

int log_Printf(const char *format, ...)
{
	if (!log_file) return -1;

	va_list args;
	va_start(args, format);
	// Here's that non-thread-safe part
	int count = _vsnprintf(log_buffer, 256, format, args);
	va_end(args);

	fputs(log_buffer, log_file);
	return count;
}
